﻿/* sidebar menu*/

.sidebar-xs .main-panel {
    margin-left: 70px;
    width: calc(100% - 70px);
}

.sidebar-xs .sidebar {
    position: absolute;
    overflow: visible;
    padding: 0;
    height: auto;
    max-height: unset;
    width: 70px;
}
.navigation {
    margin: 0;
    padding: 10px 0;
    list-style: none;
    position: relative;
}

    .navigation .hidden-ul {
        display: none;
    }

    .navigation li {
        position: relative;
        margin-bottom: 4px;
    }

        .navigation li + li {
            margin-top: 1px;
        }

        .navigation li + .navigation-header {
            margin-top: 10px;
        }

        .navigation li a {
            color: #000000;
            display: block;
            -webkit-transition: background 0.15s linear, color 0.15s linear;
            -o-transition: background 0.15s linear, color 0.15s linear;
            transition: background 0.15s linear, color 0.15s linear;
            font-size: 13px;
        }
            /*            .navigation li a:hover,
            .navigation li a:focus {
                background-color: #EB5521;
                color: #fff;
                border-radius: 5px
            }*/
            /*            .navigation li a:focus {
                background-color: #EB5521;
                color: #fff;
                border-radius: 5px
            }*/

            .navigation li a > i {
                float: left;
                margin-top: -4px;
                margin-right: 8px;
                -webkit-transition: opacity 0.2s ease-in-out;
                -o-transition: opacity 0.2s ease-in-out;
                transition: opacity 0.2s ease-in-out;
                font-size: 1.125rem;
            }

                .navigation li a > i.pull-right {
                    margin-right: 0;
                    margin-left: 15px;
                }

        .navigation li.disabled > a,
        .navigation li.disabled > a:hover,
        .navigation li.disabled > a:focus {
            color: inherit;
            background-color: transparent;
            cursor: not-allowed;
            opacity: 0.3;
            filter: alpha(opacity=30);
        }

        .navigation li > .has-ul {
            position: relative;
            padding-right: 9px;
        }

            .navigation li > .has-ul:after {
                content: "\F140";
                font-family: "Material Design Icons";
                font-size: 18px;
                display: block;
                position: absolute;
                top: 50%;
                margin-top: -8px;
                right: 4px;
                line-height: 1;
                -webkit-font-smoothing: antialiased;
                -moz-osx-font-smoothing: grayscale;
                -webkit-transform: rotate(0deg);
                -ms-transform: rotate(0deg);
                -o-transform: rotate(0deg);
                transform: rotate(0deg);
                -webkit-transition: -webkit-transform 0.2s ease-in-out;
                -o-transition: -webkit-transform 0.2s ease-in-out;
                transition: -webkit-transform 0.2s ease-in-out;
            }

        .navigation li.active > .has-ul:after {
            -webkit-transform: rotate(180deg);
            -ms-transform: rotate(180deg);
            -o-transform: rotate(180deg);
            transform: rotate(180deg);
        }

        .navigation li.navigation-divider {
            margin: 10px 0;
            height: 1px;
            background-color: rgba(255, 255, 255, 0.1);
        }

.sidebar-default .navigation li.navigation-divider {
    background-color: #eeeeee;
}

.navigation > li > a {
    padding: 4px 9px 5px 9px;
    min-height: 32px;
    font-weight: 500;
}

    .navigation > li > a .label,
    .navigation > li > a .badge {
        -webkit-transition: background-color ease-in-out 0.15s, border-color ease-in-out 0.15s;
        -o-transition: background-color ease-in-out 0.15s, border-color ease-in-out 0.15s;
        transition: background-color ease-in-out 0.15s, border-color ease-in-out 0.15s;
    }

.navigation > li.active > a,
.navigation > li.active > a:hover
/*.navigation > li.active > a:focus */ {
    background-color: #016b0e;
    color: #fff;
    border-radius: 5px;
}

.navigation > li ul li a:hover {
    background-color: rgba(0, 0, 0, 0.1);
}

.sidebar-xs .sidebar .navigation > li > ul > li > a:hover {
    background-color: rgba(0, 0, 0, 0.1);
}

.sidebar-xs .navigation > li.active > a,
.sidebar-xs .navigation > li.active > a:hover,
.sidebar-xs .navigation > li.active > a:focus {
    border-radius: 0;
    background-color: #016b0e;
    color: #fff;
}

.navigation > li.active > a > [class*=text-] {
    color: #fff;
}

.navigation > li.active > a .label,
.navigation > li.active > a .badge {
    background-color: rgba(0, 0, 0, 0.35);
    border-color: transparent;
}

.navigation > li ul {
    list-style: none;
    margin: 0;
    padding: 0;
    background-color: #fff;
    -webkit-box-shadow: 0 1px 0 rgba(255, 255, 255, 0.05);
    box-shadow: 0 1px 0 rgba(255, 255, 255, 0.05);
    width: 100%;
}

    .navigation > li ul li a {
        padding: 2px 15px;
        padding-left: 35px;
        min-height: 25px;
        font-weight: 500;
        font-size: 12px;
    }

.sidebar-xs .navigation > li ul li a {
    color: #fff;
}
/*.navigation > li ul .navigation-header {
            padding-left: 51px;
}*/

.navigation > li > ul > li > ul > li > a,
.navigation > li > ul > li > ul > .navigation-header {
    padding-left: 71px;
}

.navigation > li > ul > li > ul > li > ul > li > a,
.navigation > li > ul > li > ul > li > ul .navigation-header {
    padding-left: 91px;
}

.navigation > li > ul li:first-child {
    padding-top: 10px;
}

.navigation > li > ul li:last-child {
    padding-bottom: 3px;
}

.navigation > li > ul li.active > a,
.navigation > li > ul li.active > a:hover,
.navigation > li > ul li.active > a:focus {
    background-color: rgba(0, 0, 0, 0.2);
    color: #fff;
}

.navigation .navigation-header {
    min-height: 30px;
    padding: 10px 20px;
    border-bottom: 0;
    text-transform: uppercase;
    font-size: 11px;
    line-height: 1.82;
}

    .navigation .navigation-header > span {
        display: block;
        margin-top: 2px;
    }

    .navigation .navigation-header > i {
        display: none;
    }

        .navigation .navigation-header > i.pull-right {
            margin-top: 2px;
        }

    .navigation .navigation-header,
    .navigation .navigation-header a {
        color: rgba(255, 255, 255, 0.5);
        font-weight: 400;
    }

        .navigation .navigation-header a:hover,
        .navigation .navigation-header a:focus {
            color: #fff;
        }

        .navigation .navigation-header a i {
            float: none;
            margin: 0;
        }

.sidebar-default .navigation .navigation-header,
.sidebar-default .navigation .navigation-header a {
    color: #999999;
}

    .sidebar-default .navigation .navigation-header a:hover,
    .sidebar-default .navigation .navigation-header a:focus {
        color: #333333;
    }

.navigation.nav > .active > .hidden-ul {
    display: block;
}

@media (max-width: 768px) {
    .navigation.nav > li > .hidden-ul {
        display: block;
    }
}

.navigation .label,
.navigation .badge {
    float: right;
}

.sidebar-default .navigation li > a {
    color: #333333;
}

    .sidebar-default .navigation li > a:hover,
    .sidebar-default .navigation li > a:focus {
        background-color: #f8f8f8;
    }

.sidebar-default .navigation li.active > a,
.sidebar-default .navigation li.active > a:hover,
.sidebar-default .navigation li.active > a:focus {
    background-color: #f5f5f5;
    color: #333333;
}

    .sidebar-default .navigation li.active > a > [class*=text-] {
        color: #333333;
    }

.sidebar-default .navigation li.disabled > a,
.sidebar-default .navigation li.disabled > a:hover,
.sidebar-default .navigation li.disabled > a:focus {
    background-color: transparent;
}

.sidebar-default .navigation li .label-transparent {
    color: #333333;
}

.sidebar-default .navigation > li ul {
    background-color: transparent;
}

.sidebar-default .navigation > li.active > a,
.sidebar-default .navigation > li.active > a:hover,
.sidebar-default .navigation > li.active > a:focus {
    background-color: #f5f5f5;
    color: #333333;
}

    .sidebar-default .navigation > li.active > a .label-transparent {
        color: #333333;
    }

.navigation-icons-right > li > a,
.navigation-icons-right > li > a.has-ul {
    padding-right: 20px;
}

    .navigation-icons-right > li > a > i {
        float: right;
        margin-right: 0;
        margin-left: 15px;
    }

    .navigation-icons-right > li > a.has-ul:after,
    .navigation-icons-right > li.active > .has-ul:after {
        content: none;
    }

.navigation-bordered > li {
    border-top: 1px solid rgba(255, 255, 255, 0.05);
}

    .navigation-bordered > li:last-child {
        border-bottom: 1px solid rgba(255, 255, 255, 0.05);
    }

    .navigation-bordered > li.navigation-header {
        background-color: rgba(0, 0, 0, 0.1);
    }

    .navigation-bordered > li + li {
        margin-top: 0;
    }

    .navigation-bordered > li ul {
        -webkit-box-shadow: none;
        box-shadow: none;
    }

.navigation-bordered li + .navigation-header {
    margin-top: 0;
}

/*.sidebar-default .navigation-bordered > li {
    border-top: 1px solid #eeeeee;
}

    .sidebar-default .navigation-bordered > li.navigation-header {
        background-color: #fafafa;
    }*/

.navigation-lg > li > a,
.navigation-lg > li > a > span {
    padding-top: 14px;
    padding-bottom: 14px;
    min-height: 48px;
}

.navigation-lg > li ul li a {
    padding-top: 10px;
    padding-bottom: 10px;
    min-height: 40px;
}

.navigation-sm > li > a,
.navigation-sm > li > a > span {
    padding-top: 10px;
    padding-bottom: 10px;
    min-height: 40px;
}

.navigation-sm > li ul li a {
    padding-top: 6px;
    padding-bottom: 6px;
    min-height: 32px;
}

.navigation-xs > li > a,
.navigation-xs > li > a > span {
    padding-top: 8px;
    padding-bottom: 8px;
    min-height: 36px;
}

.navigation-xs > li ul li a {
    padding-top: 6px;
    padding-bottom: 6px;
    min-height: 32px;
}

@media (min-width: 769px) {
    .sidebar-xs .sidebar .navigation > li > a {
        display: block;
        text-align: center;
        padding: 0px 9px 0px 9px;
    }

        .sidebar-xs .sidebar .navigation > li > a > span {
            display: none;
            position: absolute;
            top: 0;
            right: -230px;
            background-color: #016b0e;
            border: 1px solid #016b0e;
            padding: 4px 20px 4px 20px;
            width: 230px;
            text-align: left;
            color: #fff;
            cursor: pointer;
            border-bottom-right-radius: 3px;
            border-top-right-radius: 3px;
        }

            .sidebar-xs .sidebar .navigation > li > a > span .label,
            .sidebar-xs .sidebar .navigation > li > a > span .badge {
                background-color: rgba(0, 0, 0, 0.35);
                border-color: transparent;
            }

        .sidebar-xs .sidebar .navigation > li > a > i {
            margin: 2px 0;
            display: block;
            float: none;
        }

    .sidebar-xs .sidebar .navigation > li > .has-ul:after,
    .sidebar-xs .sidebar .navigation > li.active > .has-ul:after {
        content: none;
    }

    .sidebar-xs .sidebar .navigation > li .has-ul > span {
        border-radius: 0 3px 0 0;
        cursor: default;
    }

    .sidebar-xs .sidebar .navigation > li.active > ul {
        display: none !important;
    }

    .sidebar-xs .sidebar .navigation > li.disabled:hover > ul,
    .sidebar-xs .sidebar .navigation > li.disabled:hover > a > span {
        display: none !important;
    }

    .sidebar-xs .sidebar .navigation > li:hover > ul {
        display: block !important;
    }

    .sidebar-xs .sidebar .navigation > li:hover > a > span {
        display: block;
    }

    .sidebar-xs .sidebar .navigation > li:hover:not(.active) > a {
        background-color: rgba(0, 0, 0, 0.1);
        /*        background: #EB5521;*/
        color: #000;
    }

    .sidebar-xs .sidebar .navigation > li > ul {
        position: absolute;
        right: -230px;
        top: 32px;
        width: 230px;
        display: none;
        background-color: #001737;
        border-left: 1px solid rgba(255, 255, 255, 0.1);
        border-radius: 0 0 3px 0;
    }

        .sidebar-xs .sidebar .navigation > li > ul > li > a {
            padding-left: 20px;
        }

            .sidebar-xs .sidebar .navigation > li > ul > li > a:not(.has-ul) {
                padding-right: 20px;
            }

        .sidebar-xs .sidebar .navigation > li > ul > li > ul > li > a {
            padding-left: 30px;
        }

        .sidebar-xs .sidebar .navigation > li > ul > li > ul > li > ul > li > a {
            padding-left: 60px;
        }

    .sidebar-xs .sidebar .navigation > .navigation-header {
        padding: 0;
        text-align: center;
    }

        .sidebar-xs .sidebar .navigation > .navigation-header > i {
            display: block;
            top: 0;
            padding: 13px 0;
        }

        .sidebar-xs .sidebar .navigation > .navigation-header > span {
            display: none;
        }
    
    .sidebar-xs .sidebar .navigation-lg > li > ul {
        top: 48px;
    }

    .sidebar-xs .sidebar .navigation-sm > li > ul {
        top: 40px;
    }

    .sidebar-xs .sidebar .navigation-xs > li > ul {
        top: 36px;
    }
 
}
.sidebar-filter, .sidebar-bulkfilter {
    position: absolute;
    right: 0;
    width: 300px;
    background: #fff;
    height: 100vh;
    top: 60px;
    z-index: 999;
    transition: all 0.6s;
    display: none;
}

    .sidebar-filter.enable, .sidebar-bulkfilter.enable {
        right: 0;
        transition: all 0.6s;
        display: block;
    }

.overlay {
    position: absolute;
    background-color: rgba(0, 0, 0, 0.4);
    left: 0;
    right: 0;
    bottom: 0;
    top: 0;
    z-index: 99;
}

.sidebar-body {
    height: calc(100vh - 150px);
    overflow-y: auto;
}

.sidebar-body::-webkit-scrollbar {
    width: 5px;
    height: 5px;
}

.sidebar-body::-webkit-scrollbar-track {
    -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
    -webkit-border-radius: 10px;
    border-radius: 10px;
}

.sidebar-body::-webkit-scrollbar-thumb {
    -webkit-border-radius: 10px;
    border-radius: 10px;
    background: #ccc;
    -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.5);
}

.sidebar-body::-webkit-scrollbar-thumb:window-inactive {
    background: #ccc;
}

.ov-y-disable {
    overflow-y: hidden;
}
.font-12{
    font-size:12px;
}
.delete-attach {
    position: absolute;
    right: -7px;
    top: -7px;
    width: 20px;
    height: 20px;
    font-size: 12px !important;
    line-height: 20px !important;
    text-align: center !important;
}